/**
 * @class Finding
 */
export class Finding {
    set data(data) {
        this._data = data;
    }

    render() {
        return `
        <div class="container px-4 pt-4">
            <p class="p-2">
                <strong>Oggetto:</strong> ${this._data.object}
            </p>
            <p class="p-2">
                <strong>Materia:</strong> ${this._data.material}
            </p>
            <p class="p-2">
                <strong>Misure</strong> ${this._data.measurements}
            </p>
            <p class="p-2">
                <strong>Inventario</strong> ${this._data.inventory}
            </p>
            <p class="p-2">
                <strong>Luogo rinvenimento</strong> ${this._data.place}
            </p>
            <p class="p-2">
                <strong>Anno rinvenimento</strong> ${this._data.year}
            </p>
            <p class="p-2">
                <strong>Datazione</strong> ${this._data.dating}
            </p>
            <p class="p-2">
                <strong>Stato di conservazione</strong> ${this._data.conservationState}
            </p>
            <p class="p-2">
                <strong>Luogo di conservazione</strong> ${this._data.conservationPlace}
            </p>
            <p class="mt-4 pl-2 pr-5">
                <strong class="pb-3">Descrizione</strong></br>
                ${this._data.description}
            </p>
            <p class="p-2 mb-4">
                <strong>Autore scheda:</strong> ${this._data.author}
            </p>
        </div>`;
    }
}
